Bug 1199163 (CVE-2015-2188) - CVE-2015-2188 wireshark: The WCP dissector could crash while decompressing data (wnpa-sec-2015-07)
Summary: CVE-2015-2188 wireshark: The WCP dissector could crash while decompressing da...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-2188
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1199173 1245883 1245885
Blocks: 1199171 1210268
TreeView+ depends on / blocked
 
Reported: 2015-03-05 14:40 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:29 UTC (History)
6 users (show)

Fixed In Version: Wireshark 1.12.4,Wireshark 1.10.13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-20 04:49:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2393 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2015-11-19 11:03:11 UTC

Description Vasyl Kaigorodov 2015-03-05 14:40:46 UTC
From https://www.wireshark.org/security/wnpa-sec-2015-07.html

Name: WCP dissector crash
Docid: wnpa-sec-2015-07
Date: March 4, 2015
Affected versions: 1.12.0 to 1.12.3, 1.10.0 to 1.10.12

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10844

Upstream 1.10.x patch: https://code.wireshark.org/review/#/c/6516/

Description: The WCP dissector could crash while decompressing data.
Impact: It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Comment 1 Vasyl Kaigorodov 2015-03-05 14:49:24 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1199173]

Comment 2 Vasyl Kaigorodov 2015-03-05 14:51:58 UTC
Statement:

Not vulnerable. This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5, and 6.

Comment 6 Peter Hatina 2015-08-28 07:47:00 UTC
(In reply to Siddharth Sharma from comment #3)
> Patch
> =====
> 
> https://code.wireshark.org/review/gitweb?p=wireshark.git;a=patch;
> h=abebbb99519cbf920ea4c495741ed9c7b5774def
> 
> 
> POC
> ===
> https://www.wireshark.org/download/automated/captures/fuzz-2015-01-09-27534.
> pcap

Mentioned patch doesn't address the flaw.

This is the correct one: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-2188

Comment 8 errata-xmlrpc 2015-11-19 12:36:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2393 https://rhn.redhat.com/errata/RHSA-2015-2393.html


Note You need to log in before you can comment on or make changes to this bug.